#include<bits/stdc++.h>
using namespace std;



int main()
{
    int n, m, p, z = 0;
    cin>>m>>n>>p;
    int chislo = m;
    int br = n*n;
    int a[n][n];
    while(br>0)
    {
        for(int j = z; j<n-z; j++)
        {
            a[z][j] = chislo;
            chislo++;
            br--;
        }
        for(int i = z+1; i<n-z; i++)
        {
            a[i][n-z-1] = chislo;
            chislo++;
            br--;
        }
        for(int j = n-z-2; j>=z; j--)
        {
            a[n-z-1][j] = chislo;
            chislo++;
            br--;
        }
        for(int i = n-z-2; i>=z+1; i--)
        {
            a[i][z] = chislo;
            chislo++;
            br--;
        }
        z++;
    }
    int sum = 0;
    for(int j = 0; j<n; j++)
    {
        sum+=a[p-1][j];
    }
    cout<<sum;
    return 0;
}
